# Python Standard Library Imports
import os
import sys


##
# Various Settings and Configuration Variables

PHABRICATOR_INSTANCE_BASE_URL = 'configure_me'

GROUPS = {
    'example-group-the-incredibles' : {
        'id': 9000,
    },
}

# Reports
REVISION_AGE_THRESHOLD_DAYS = 14
REVISION_ACCEPTANCE_THRESHOLD = 2
REVISION_STATUS_REPORT_QUERY_KEY = 'configure_me'

NEW_PROJECT_TASKS_BOARD_NAMES = 'configure_me'
NEW_PROJECT_TASKS_THRESHOLD_HOURS = 4

UPCOMING_PROJECT_TASKS_DUE_REPORT_PROJECT_NAME = 'configure_me'
UPCOMING_PROJECT_TASKS_DUE_REPORT_COLUMN_NAMES = []
UPCOMING_PROJECT_TASKS_DUE_REPORT_ORDER = [
    '-id', # oldest tasks first
]
UPCOMING_PROJECT_TASKS_DUE_THRESHOLD_LOWER_HOURS = 24  # 1 day
UPCOMING_PROJECT_TASKS_DUE_THRESHOLD_UPPER_HOURS = 96  # 4 days
UPCOMING_PROJECT_TASKS_DUE_REPORT_EXCLUDED_TASKS = []
UPCOMING_PROJECT_TASKS_DUE_REPORT_CUSTOM_EXCLUSIONS = []

URGENT_AND_OVERDUE_TASKS_THRESHOLD_HOURS = UPCOMING_PROJECT_TASKS_DUE_THRESHOLD_LOWER_HOURS
URGENT_AND_OVERDUE_TASKS_REPORT_CUSTOM_EXCLUSIONS = []

TEAM_USERNAMES = []

RECENT_TASKS_REPORT_USERNAMES = []


##
# Import Local Settings if `local_settings.py` exists in CWD

LOCAL_SETTINGS_FILENAME = os.path.realpath(os.path.join(os.getcwd(), 'settings.py'))

if os.path.isfile(LOCAL_SETTINGS_FILENAME):
    sys.path.append(os.path.dirname(LOCAL_SETTINGS_FILENAME))
    # Third Party (PyPI) Imports
    from settings import *
